<?php if(!defined('PLX_ROOT')) exit;

$currentURL = sprintf("%s://%s%s",
				isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off' ? 'https' : 'http',
				$_SERVER['SERVER_NAME'],
				$_SERVER['REQUEST_URI']);
$baseURL = preg_replace("/core.*$/",'',$currentURL);
?>
<form action="plugin.php?p=plnKikan" method="post">
	<div class="scrollable-table">
		<table class="full-width table plnKikan">
			<thead>
				<tr>
					<th class="checkbox"><input type="checkbox" onclick="checkAll(this.form, 'checkbox[]')" title="<?php $plxPlugin->lang("Sélectionner/Déselectionner tout");?>"/></th>
					<?php echo (plnKikan::$isPrivacyPossible OR plnKikan::$lockArticles OR plnKikan::$adhesion) ? '<th><a class="plnExtendedJurisdiction" title="'.$plxPlugin->getLang('L_HELP_HOW_PRIVATE').'"></a></th>'."\n" : '';?>
					<th><?php $plxPlugin->lang('L_ADMIN_TYPE')?></th>
					<th><?php $plxPlugin->lang('L_ADMIN_TITRE')?></th>
					<th><?php $plxPlugin->lang('L_ADMIN_DESCRIPTION')?></th>
					<th><?php $plxPlugin->lang('L_STATUS')?></th>
				</tr>
			</thead>
			<tbody>
				<?php 
				$bool = 0;
				foreach($plxPlugin->aKikan as $kikanId => $Kikan) { 
					$kikanURL = $baseURL."index.php?plnKikan=".$Kikan['hash'];
				?>
				<tr class="line-<?php echo $bool ?>">
					<td><input type="checkbox" name="checkbox[]" value="<?php echo $kikanId ?>"/></td>
<?php 
						if(plnKikan::$isPrivacyPossible OR plnKikan::$lockArticles OR plnKikan::$adhesion)
						{
							if($Kikan['isPrivate'])
							{
								if($Kikan['privateProfiles'] == '')
								{
									$class = 'orangelock';
									$help  = 'Kikan privé';
								}
								else
								{
									$class = 'redlock';
									$help  = 'Kikan privé et soumis à condition de profil';
								}
							}
							else
							{
								$class = 'greenlock';
								$help  = 'Kikan public';
							}
							echo '					<td><a class="'.$class.'" title="'.$plxPlugin->getLang($help).'"></a></td>'.PHP_EOL;
						}
?>
					<td class="wrap"><?php echo $Kikan["typeKikan"] ?></td>
					<td><a href="plugin.php?p=plnKikan&editkikan=<?php echo $kikanId ?>" title="<?php $plxPlugin->lang('L_EDIT')?>"><?php echo plxUtils::strRevCheck($Kikan["title"]) ?></a></td>
					<td class="wrap"><?php echo plxUtils::strCut(plxUtils::strRevCheck($Kikan["description"])) ?></td>
					<td class="wrap"><?php $plxPlugin->Lang($Kikan["status"]);
						if($Kikan["status"] == 'publié') 
							echo ' - <a href="'.$kikanURL.'">'.$kikanURL.'</a>';?>
					</td>
				</tr>
				<?php 
				$bool = 1 - $bool;
				} ?>
			</tbody>
		</table>
	</div>
<p class="in-action-bar">
	<?php plxUtils::printSelect('selection', array( '' =>L_FOR_SELECTION, 'delete' =>L_DELETE), '', false, 'no-margin', 'id_selection') ?>
	<input type="submit" name="submit-select-ok" value="<?php echo L_OK ?>" onclick="return confirmAction(this.form, 'id_selection', 'delete', 'checkbox[]', '<?php $plxPlugin->lang('L_CONFIRM_DELETE') ?>')" />
	<?php echo $Token ?>
</p>
</form>
