<?php if(!defined('PLX_ROOT')) exit;

if(isset($KikanId) && $KikanId !== '')
{
	$title	 	 = $plxPlugin->aKikan[$KikanId]["title"];
	$description	 = $plxPlugin->aKikan[$KikanId]["description"];
	$nbDates	 = $plxPlugin->aKikan[$KikanId]["nbDates"];
	$nbHoraires 	 = $plxPlugin->aKikan[$KikanId]["nbHoraires"];
	$isPrivate 	 = $plxPlugin->aKikan[$KikanId]["isPrivate"];
	$privateProfiles = $plxPlugin->aKikan[$KikanId]["privateProfiles"];
	$status 	 = $plxPlugin->aKikan[$KikanId]["status"];
	$typeKikan 	 = $plxPlugin->aKikan[$KikanId]["typeKikan"];
}
else
{
	$KikanId 	 = "nouveau";
	$title	 	 = '';
	$description 	 = '';
	$isPrivate 	 = (plnKikan::$isPrivacyPossible && $plxPlugin->getParam("isPrivate") == 'true') ? true : false;
	$privateProfiles = plnKikan::$isPrivacyPossible ? $plxPlugin->getParam("privateProfiles") : '';
	$status 	 = 'brouillon';
	$nbDates 	 = $plxPlugin->getParam('NbDates') == ''    ? 10 : $plxPlugin->getParam('NbDates');
	$nbHoraires 	 = $plxPlugin->getParam('NbHoraires') == '' ?  3 : $plxPlugin->getParam('NbHoraires');
	$typeKikan 	 = "kikan";
}

// Les types de kikan possibles
$aTypeKikan 	= array('kikan' => $plxPlugin->getLang('L_TYPE_KIKAN'), 'kikoi' => $plxPlugin->getLang('L_TYPE_KIKOI'));
// Pour les select de NbDates et NbHoraires
$aNbDates	= array(1=>1,2=>2,3=>3,4=>4,5=>5,6=>6,7=>7,8=>8,9=>9,10=>10,15=>15,20=>20,25=>25,30=>30,35=>35,40=>40,50=>50);
$aNbHoraires	= array(0=>0,1=>1,2=>2,3=>3,4=>4,5=>5,6=>6,7=>7,8=>8,9=>9,10=>10);
$aNoYes		= array('false'=>L_NO,'True'=>L_YES);#bep
?>

<?php // On charge jquery que s'il ne l'est pas déjà ?>
<script>window.jQuery || document.write('<script src="<?php echo PLX_PLUGINS?>plnKikan/js/jquery.min.js"><\/script>'); </script>
<script src="<?php echo PLX_PLUGINS?>plnKikan/js/admin_editkikan.js"></script>


<form action="plugin.php?p=plnKikan" method="post">
	<fieldset>
		<input name="kikanId" value="<?php echo $KikanId?>" type="hidden"/>
		<p class="field"><label for="title"><?php $plxPlugin->lang('L_ADMIN_TITRE')?>&nbsp;:</label></p>
		<?php plxUtils::printInput("title",$title,'text','20-255',FALSE,'" required="required'); ?><?php if($status == 'publié'){ ?>&nbsp;<a href="../../index.php?plnKikan=<?php echo $plxPlugin->aKikan[$KikanId]['hash'] ?>"><?php $plxPlugin->lang('L_EDIT')?>*</a><?php } ?>
		<p class="field"><label for="description"><?php $plxPlugin->lang('L_ADMIN_DESCRIPTION')?>&nbsp;:</label></p>
		<?php plxUtils::printArea("description",$description,'20','5',false,'area'); ?>
		 
		<p class="field"><label for="typeKikan"><?php $plxPlugin->lang('L_ADMIN_TYPEKIKAN')?>&nbsp;:</label></p>
		<?php
			if($KikanId == "nouveau")
				plxUtils::printSelect("typeKikan", $aTypeKikan, $typeKikan); 
			else
				echo $aTypeKikan[$typeKikan];
		?> 
<!--        <span style="color:red;margin-left:30px">ATTENTION : CETTE FONCTION EST <del>NON</del> <i>PEUT-ÊTRE</i> IMPLEMENTÉE</span>-->
	
        <?php // gestion du caractère privé de ce kikan, dans le cas où plnExtendedJurisdiction, adhesion ou lockArticles est présent
        $ClassPrivate = (plnKikan::$isPrivacyPossible OR plnKikan::$lockArticles OR plnKikan::$adhesion) ? '' : 'disabled'; ?>
		<p class="field"><label class="<?php echo $ClassPrivate?>" for="private"><?php $plxPlugin->lang('L_ADMIN_PRIVATE')?>&nbsp;:</label></p>
		<input type="checkbox" name="isPrivate" value="True" <?php echo $ClassPrivate ?> <?php if($isPrivate === true) echo 'checked' ?> />
		<?php if(plnKikan::$isPrivacyPossible) { ?>
		<?php plxUtils::printInput("privateProfiles",$privateProfiles,'text','50-255',plnKikan::$isPrivacyPossible ? false : true, $ClassPrivate); ?>
		<a class="help" title="<?php $plxPlugin->lang('L_HELP_PRIVATE')?>">&nbsp;</a>
		<?php } elseif(plnKikan::$lockArticles OR plnKikan::$adhesion) { ?>
		<a class="help" title="<?php $plxPlugin->lang('L_HELP_PRIVATE_LOCK')?>">&nbsp;</a>
		<?php } else { ?>
		<a class="help" title="<?php $plxPlugin->lang('L_HELP_INSTALL_PRIVATE')?>">&nbsp;</a>
		<?php } ?>

        <?php 
        
        // On est en mode d'édition d'un kikan déjà existant
        if($KikanId != "nouveau") { 

        // On prépare les différents types de messages et objets en fonction du type de kikan
        switch($typeKikan)
        {
        	case "kikan" : 
        		$Lang['L_ADMIN_NBDATES'] = 'L_ADMIN_NBDATES';
        		$Lang['L_ADMIN_NBHORAIRES'] = 'L_ADMIN_NBHORAIRES';
        		break;
        	case "kikoi" :
        		$Lang['L_ADMIN_NBDATES'] = 'L_ADMIN_NBITEMS';
        		$Lang['L_ADMIN_NBHORAIRES'] = 'L_ADMIN_NBITEMS2';
        		break;
        }

        ?>
		<p class="field"><label for="NbDates"><?php $plxPlugin->lang($Lang['L_ADMIN_NBDATES'])?>&nbsp;:</label></p>
        <?php plxUtils::printSelect("NbDates", $aNbDates, $nbDates); ?>

        <?php #if($typeKikan == "kikan") { ?>
		<p class="field"><label for="NbHoraires"><?php $plxPlugin->lang($Lang['L_ADMIN_NBHORAIRES'])?>&nbsp;:</label></p>
	        <?php plxUtils::printSelect("NbHoraires", $aNbHoraires, $nbHoraires); ?>
        <?php #} ?>

        <input type="submit" name="submit-refresh" value="<?php $plxPlugin->lang('L_REFRESH')?>"/>

		<p class="field"><label for="isPublié"><?php $plxPlugin->lang('publié')?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_HELP_STATUS')?></span></a>&nbsp;:</label></p>
		<input type="checkbox" name="isPublié" value="True" <?php if($status == 'publié') echo 'checked' ?> /> 
<!--		<?php plxUtils::printSelect('isPublié', $aNoYes, ($status == 'publié')) ?> -->
		<?php if($typeKikan == "kikan") { ?>
		<div class="scrollable-table">
			<table class="full-width table">
				<thead>
					<tr>
						<th class="checkbox"><?php $plxPlugin->lang('L_ADMIN_DATES')?></th>
						<?php if($nbHoraires != 0) { ?>
						<th><?php $plxPlugin->lang('L_ADMIN_HORAIRES')?> <a id="duplicateHoraires" title="<?php $plxPlugin->lang('L_HELP_HORAIRES') ?>">&nbsp;</a></th>
						<?php } ?>
					</tr>
				</thead>
				<tbody>
					<?php for($i=0;$i<$nbDates;$i++) { 
						list($date,$horaires) = each($plxPlugin->aKikan[$KikanId]["dates"]);
						if(isset($date)) $date = strftime("%d/%m/%Y",strtotime($date));
						?>
					<tr>
						<td><?php plxUtils::printInput("date_".$i,isset($date) ? $date : '','text','10-10',false,'',$plxPlugin->getLang('DATE_PLACEHOLDER')); ?></td>
						<?php if($nbHoraires != 0) { ?>
							<td>
							<?php for($j=0;$j<$nbHoraires;$j++) 
							{ 
								if(isset($horaires))
									list(,$horaire) = each($horaires);
								else
									$horaire = '';
								?>
							<?php plxUtils::printInput("horaire_".$i."_".$j,isset($horaire) ? $horaire : '','text','5-25',false,'',$plxPlugin->getLang('TIME_PLACEHOLDER')); ?>
							<?php } ?>
							</td>
						<?php } ?>
					</tr>
					<?php } ?>
				</tbody>
			</table>
		</div>
<?php 
		}#fi kikan
		if($typeKikan == "kikoi") {
			$PHKiko1 = explode(', ',$plxPlugin->getLang('ITEM_PLACEHOLDER'));
			$PHKiko2 = explode(', ',$plxPlugin->getLang('ITEM2_PLACEHOLDER'));
?>
		<div class="scrollable-table">
			<table class="full-width table">
				<thead>
					<tr>
						<th class="checkbox"><?php $plxPlugin->lang('L_ADMIN_ITEMS')?></th>
					</tr>
				</thead>
				<tbody>
					<?php for($i=0;$i<$nbDates;$i++) { 
						list($date,$horaires) = each($plxPlugin->aKikan[$KikanId]["dates"]);
						if(isset($date)) $date = trim($date);//strftime("%d/%m/%Y",strtotime($date));
						?>
					<tr>
						<td><?php plxUtils::printInput("date_".$i,isset($date) ? $date : '','text','10-255',false,'kikoi',(isset($PHKiko1[$i])?$PHKiko1[$i]:'...')); ?></td>
						<?php if($nbHoraires != 0) { ?>
							<td><!-- ALPHABETA -->
							<?php for($j=0;$j<$nbHoraires;$j++) 
							{ 
								if(isset($horaires))
									list(,$horaire) = each($horaires);
								else
									$horaire = '';
								?>
							<?php plxUtils::printInput("horaire_".$i."_".$j,isset($horaire) ? $horaire : '','text','5-25',false,'',(isset($PHKiko2[$j])?$PHKiko2[$j]:'...')); ?>
							<?php } ?>
							</td>
						<?php } ?>
					</tr>
					<?php } ?>
				</tbody>
			</table>
		</div>
		<?php 
		}#fi kikoi
		}
		else
			echo "<br/>";
		echo $Token ?>
		<p class="in-action-bar">
			<input type="submit" name="submit-save" value="<?php $plxPlugin->lang('L_SAVE')?>"/>
		</p>
	</fieldset>
</form>

<?php ############################ Le datePicker ############################ 

// On construit l'intervalle des années
$AnneeEnCours = new DateTime();
$Annee1 = $AnneeEnCours->format("Y");
$Annee2 = $Annee1 + 10;
?>

<script src="<?php echo PLX_PLUGINS ?>plnKikan/pikaday/moment.js"></script>
<script src="<?php echo PLX_PLUGINS ?>plnKikan/pikaday/pikaday.js"></script>
<script>
var a = document.getElementsByTagName("input");
for (var i=0;i<a.length;i++) {
	var id = a[i].id;console.log(a[i].id,a[i].className,a[i].classList);
	if(id.substring(0,7)=='id_date' && a[i].className != 'kikoi') {
		var picker = new Pikaday({ 
			field: document.getElementById(id),
			format: '<?php $plxPlugin->lang('DD/MM/YYYY') ?>',
			yearRange: [<?php echo $Annee1 ?>,<?php echo $Annee2 ?>],
			i18n: {
				previousMonth : '<?php echo $plxPlugin->getLang('PREVIOUS_MONTH') ?>',
				nextMonth     : '<?php echo $plxPlugin->getLang('NEXT_MONTH') ?>',
				months        : ['<?php echo $plxPlugin->getLang('MONTH_LIST') ?>'],
				weekdays      : ['<?php echo $plxPlugin->getLang('WEEKDAY_LIST') ?>'],
				weekdaysShort : ['<?php echo $plxPlugin->getLang('WEEKDAY_SHORT_LIST') ?>']
			}
		});
	}
}
</script>
