<?php if(!defined('PLX_ROOT')) exit; ?>

<?php // On charge jquery que s'il ne l'est pas déjà ?>
<script>window.jQuery || document.write('<script src="<?php echo PLX_PLUGINS?>plnKikan/js/jquery.min.js"><\/script>'); </script>
<script src="<?php echo PLX_PLUGINS?>plnKikan/js/site_displayhelp.js"></script>

<?php
//$plxMotor   = plxMotor::getInstance();//var_dump($plxMotor);#$this is plnKikan #tep
$plxPlugin  = &$this;//$plxMotor->plxPlugins->aPlugins["plnKikan"];
$kikanId    = $plxPlugin->kikanId;  
if(!$plxPlugin->isSpecificAccessAllowed($kikanId))
    return;

# Cette fonction permet d'afficher une ligne de choix (feux tricolores).
# Si un argument est passé en paramètre, on considère que c'est le numéro de l'utilisateur,
# et donc que l'information à afficher est de type "modification du choix"
# On construit un "<tr>" complet
function displayEditChoice($aTimestamp,$plxPlugin,$Kikan,$User=0)
{#$e = new \Exception;var_dump($e->getTraceAsString(),$Kikan);#4dbg
    // Si on demande explicitement à modifier la ligne d'un utilisateur, on prépare
    if($User != 0)
    {
        reset($Kikan['choix']);
        for($i=0;$i<$User-1;$i++)
            next($Kikan['choix']);
        $Name       = key($Kikan['choix']);
        $timestamps = current($Kikan['choix']);
    }
    else
    {
        // Si l'utilisateur est connecté via plnPrivateAccount, on met directement son nom
        // A condition qu'il n'y ait pas déjà une ligne à son nom.
        if(plnKikan::$isPrivacyPossible && plnExtendedJurisdiction::isConnected())
        {
            $plxMotor = plxMotor::getInstance();
            $Name = $plxMotor->plxPlugins->aPlugins['plnExtendedJurisdiction']->aAccounts[$_SESSION["plnExtendedJurisdiction_user"]]['login'];
            foreach($Kikan['choix'] as $UserName => $Dummy)
                if($UserName == $Name)
                {
                    $Name = '';
                    break;
                }
        }
        else
            $Name = '';
    }
    echo "<tr><td>";
    plxUtils::printInput('name',$Name,'text','18-50',false,'" required="required',$plxPlugin->getLang('L_YOUR_NAME'));
    if(!empty($Name))plxUtils::printInput('old-name',$Name,'hidden');
    echo "</td>";
    foreach($aTimestamp as $timestamp)
    {#var_dump(__FILE__ . ' ' . __LINE__. ' #00 ts: ' .$timestamp);
        if($Kikan['typeKikan'] == 'kikoi') $timestamp = plxUtils::title2url($timestamp);
#var_dump(__FILE__ . ' ' . __LINE__. ' #11 ts: ' .$timestamp);
        $Checked['red']       = '';
        $Checked['yellow']    = '';
        $Checked['green']     = '';
        //Si on édite un choix déja fait : *hash*&edit=5&name=*pseudo*#kikanAriane
        if($User != 0 && isset($timestamps[$timestamp]))
        {//var_dump(__FILE__.' '.__LINE__.' #isset ts',$timestamps[$timestamp]);EXIT;
            switch($timestamps[$timestamp])
            {
                case '1'  : $Checked['green']  = ' checked';break;
                case '0.5': $Checked['yellow'] = ' checked';break;
                case '0'  : $Checked['red']    = ' checked';break;
            }
        }
        else
            $Checked['red'] = ' checked';
    ?>
        <td class="rightborder">
            <label>
                <input type="radio" name="<?php echo $timestamp ?>" value="0"<?php echo $Checked['red'];?> />
                <div alt="no" class="no"></div>
            </label>
            <label>
                <input type="radio" name="<?php echo $timestamp ?>" value="0.5"<?php echo $Checked['yellow'];?>  />
                <div alt="maybe" class="maybe"></div>
            </label>
            <label>
                <input type="radio" name="<?php echo $timestamp ?>" value="1"<?php echo $Checked['green'];?>  />
                <div alt="yes" class="yes"></div>
            </label>
        </td>
    <?php
    }#EXIT(__FILE__ . ' ' . __LINE__);
    ?>
    <td><input type="submit" name="submit-save" value="<?php $plxPlugin->lang('L_SAVE')?>"/></td>
    </tr>
    <?php
}#fi funk displayEditChoice

$Kikan          = $plxPlugin->aKikan[$kikanId];

// est-on en mode édition ou juste vision ?
$isEdition      = (isset($_GET['voir'])) ? false : true;
// Est-ce qu'on veut modifier un choix existant ?
$isModification = ($isEdition & isset($_GET['edit'])) ? plxUtils::strCheck($_GET['edit']) : false;
// Est-ce qu'on veut supprimer une ligne ?
if(isset($_GET['supp']))
{
    $SuppNum = plxUtils::strCheck($_GET['supp']);
    $SuppName = plxUtils::strCheck($_GET['name']);
    foreach($Kikan['choix'] as $name => $timestamps)
    {
        $SuppNum--;
        if($SuppNum == 0 && $SuppName == plxUtils::title2url($name))
        {
            unset($Kikan['choix'][$name]);
            unset($plxPlugin->aKikan[$kikanId]['choix'][$name]);
            $plxPlugin->saveKikan();
        }
    }
}

// On construit le tableau des "mois"
$aMonth = array();
if ($Kikan['typeKikan']!='kikoi'){
	foreach($Kikan['dates'] as $date => $horaires)
	{
	    $Month = $plxPlugin->getLang(strftime("%B",strtotime($date)))." ".substr($date,0,4);
	    //if ($Kikan['typeKikan']=='kikoi') $Month = $date;

	    if(isset($aMonth[$Month]))
		$aMonth[$Month] += count($horaires) == 0 ? 1 : count($horaires);
	    else
		$aMonth[$Month]  = count($horaires) == 0 ? 1 : count($horaires);
	}
}
$pageUri = '?plnKikan=';//index.php?plnKikan=
?>
<p id="kikanAriane" class="ariane"><a href=""><?php $this->lang('HOME') ?></a>&nbsp;&gt;&nbsp;<a href="plnKikan"><?php $plxPlugin->lang('L_LES_KIKANS');?></a>&nbsp;&gt;&nbsp;<a href="<?php echo $pageUri.$Kikan['hash'].($isEdition ? '' : '&voir') ?>#kikanAriane"><?php echo plxUtils::strRevCheck($Kikan['title']);?></a>&nbsp;(<a href="<?php echo $pageUri.$Kikan['hash'].(!$isEdition ? '' : '&voir') ?>#kikanAriane"><?php echo (!$isEdition ? 'Éditer' : 'Voir');?></a><?php if(isset($_SESSION['profil'])){ ?>&nbsp;/&nbsp;<a href="core/admin/plugin.php?p=plnKikan&editkikan=<?php echo $kikanId ?>"><?php $plxPlugin->lang('L_ADMIN_EDIT')?></a><?php } ?>)</p>

<div class="plnKikan">
    <article>
        <p><?php echo nl2br(plxUtils::strRevCheck($Kikan['description']));?></p>
    </article>
    <?php if($isEdition) { ?>
    <?php plnToolBox_v1::displayMsg();#DISPLAY msg by session ?>
    <div id="plnKikanHelp">
        <span><?php $plxPlugin->lang('L_USER_HELP_TITLE');?></span>
        <a><?php $plxPlugin->lang('L_USER_HELP_WHAT_IS_'.strToUpper($Kikan['typeKikan']));?></a>
        <div><?php $plxPlugin->lang(strToUpper($Kikan['typeKikan']).'_DEFINITION');?></div>
        <a><?php $plxPlugin->lang('L_USER_HELP');?></a>
        <div><?php $plxPlugin->lang(strToUpper($Kikan['typeKikan']).'_USER_HELP');?></div>
    </div>
    <form action="<?php echo $pageUri.$Kikan['hash']?>#kikanAriane" method="post" onsubmit="return kiNames();">
        <input name="kikanId" type="hidden" value="<?php echo $kikanId;?>" />
    <?php } ?>
<?php    
    $head0 = $head1 = $head2 = $head3 = '';	
    // On PRÉPARE l'affichage les mois, sachant que le tableau des dates est donné trié ça se passera bien
    foreach($aMonth as $month => $colspan)
    {
        $colspan = $colspan > 1 ? ' colspan="'.$colspan.'"' : '';
        $head1 .= '<th '.$colspan.' class="rightborder">'.$month.'</th>'.PHP_EOL;
    }
//    $head0 .= '<th></th></tr><tr><th></th>'.PHP_EOL;

    // On PRÉPARE l'affichage de l'ensemble des dates
    foreach($Kikan['dates'] as $date => $horaires)
    {
        $colspan = count($horaires) > 1  ? ' colspan="'.count($horaires).'"' : '';
        //$rowspan = count($horaires) == 0 ? ' rowspan="2"' : '';
        if ($Kikan['typeKikan']=='kikan') $head2 .= '<th'.$colspan.' class="rightborder">'.$plxPlugin->getLang(strftime("%A",strtotime($date))).' '.substr($date,8,2).'</th>'.PHP_EOL;
 	if ($Kikan['typeKikan']=='kikoi') $head2 .= '<th'.$colspan.' class="rightborder">'.$date.'</th>'.PHP_EOL;
    }
    $head0 = '<th></th></tr>'.PHP_EOL.'<tr><th></th>'.PHP_EOL;

    // On PRÉPARE l'affichage et les données de l'ensemble des horaires (ou données)
    $aTimestamp = array();
    foreach($Kikan['dates'] as $date => $horaires)
    {
        foreach($horaires as $horaire)
        {
            $head3 .= '<th class="rightborder">'.$horaire.'</th>'.PHP_EOL;
            $aTimestamp[] = ($Kikan['typeKikan'] == 'kikoi' ? plxUtils::title2url($date."_".$horaire) : $date."_".$horaire);//str_replace(' ','~',$date).'_'.str_replace(' ','~',$horaire);
        }
        if(empty($horaires))
        {
            $head3 .= '<th class="rightborder"></th>'.PHP_EOL;
            $aTimestamp[] = ($Kikan['typeKikan'] == 'kikoi' ? plxUtils::title2url($date) : $date);//str_replace(' ','~',$date);
        }
    }
    //$head2 .= '<th></th></tr>'.PHP_EOL;
    //echo $head2;
?>
<div class="scrollable-table">
        <table id="kikanTable" class="full-width table plnKikan">
        <thead><tr><th></th>
<?php echo $head1.$head0.$head2.$head0.$head3 ?><th></th></tr>
        </thead>
        <tfoot><tr><th></th>
<?php echo $head3.$head0.$head2.$head0.$head1 ?><th></th></tr>
        </tfoot>
        <tbody>
<?php 
unset($head0, $head1, $head2, $head3);
    // On affiche une ligne de choix à faire si on est en mode edition
    if($isEdition and !$isModification)
        displayEditChoice($aTimestamp,$plxPlugin,$Kikan);

    // On prépare les sommes finales...
    $aSomme = array();
    foreach($aTimestamp as $timestamp)
        $aSomme[$timestamp] = $aMaybe[$timestamp] = 0;
    $redcircleclass = 'no'.($plxPlugin->getParam("redCircle")?' withcircle':'');
    $maycircleclass = 'maybe'.($plxPlugin->getParam("mayCircle")?' withcircle':'');
    $yescircleclass = 'yes'.($plxPlugin->getParam("yesCircle")?' withcircle':'');
    // On affiche l'ensemble des choix déjà effectués par d'autres utilisateurs
    $uNum = $maxi = 0;
    $uData = '';
    foreach($Kikan['choix'] as $name => $timestamps)
    {
        $uNum++;
        if($uNum == $isModification)
            displayEditChoice($aTimestamp,$plxPlugin,$Kikan,$uNum);
        else
        {
            echo "<tr><td>".$name."</td>\n";
            $uData .= $name.'~';
            foreach($aTimestamp as $timestamp)
            {
                $class      = 'nochoice';
                $contents   = '';
                if(isset($timestamps[$timestamp]))
                    switch($timestamps[$timestamp])
                    {
                        case '1'  : $class = $yescircleclass;$aSomme[$timestamp]++;break;
                        case '0.5': $class = $maycircleclass;$aMaybe[$timestamp]++;break;
                        case '0'  : $class = $redcircleclass;
                                    break;
                    }

                echo '<td class="'.$class.' rightborder">';
                echo '</td>';
            }
            if($maxi < ($aSomme[$timestamp] + ($aMaybe[$timestamp]/2)))
                $maxi = $aSomme[$timestamp] + ($aMaybe[$timestamp]/2);
            echo '<td>';
            if($isEdition)
            {
                echo '<a href="?plnKikan='.$Kikan['hash'].'&edit='.$uNum.'&name='.plxutils::title2url($name).'#kikanAriane" class="editchoices" title="'.$plxPlugin->getLang('L_EDIT_USER_CHOICE').'"></a>';
                echo '<a href="?plnKikan='.$Kikan['hash'].'&supp='.$uNum.'&name='.plxutils::title2url($name).'#kikanAriane" class="suppchoices" title="'.$plxPlugin->getLang('L_DELETE_THIS_LINE').'" onclick="return(confirm(\''.$plxPlugin->getLang('L_CONFIRM_DELETE').'\'));"></a>';
            }
            echo "</td></tr>\n";
        }
    }
?>
        <tr id="sommes" class="sommes" data-names="<?php echo rtrim($uData,'~');?>">
            <td><?php $plxPlugin->lang('Somme');?></td>
<?php 
    foreach($aTimestamp as $timestamp)#219,244,204
        echo '<td class="rightborder" style="background-color:rgba(197,222,182,'.($uNum?(($aSomme[$timestamp] + ($aMaybe[$timestamp]/2))/$uNum):'0').')">'.$aSomme[$timestamp]."</td>\n";
?>
        <td>&nbsp;/&nbsp;<?php echo $uNum ?></td></tr>
        </tbody>
    </table>
</div>
<?php if($isEdition) { ?>
    <?php echo plxToken::getTokenPostMethod(); ?>
    </form> 
<?php }//fi only isEdition ?>

    <div class="legende"><span>Légende</span>&nbsp;:&nbsp;
        <div alt="no"       class="no"></div>       <?php $plxPlugin->lang('L_NON_LEGEND_'.$Kikan['typeKikan']);?>
        <div alt="maybe"    class="maybe"></div>    <?php $plxPlugin->lang('L_MAY_LEGEND_'.$Kikan['typeKikan']);?>
        <div alt="yes"      class="yes"></div>      <?php $plxPlugin->lang('L_YES_LEGEND_'.$Kikan['typeKikan']);?>
    </div>

</div>
<script>
function kiNames(){//Si un nom est déja ds la liste on avertis
 var nom = document.getElementById('id_name').value;
 if(!nom) return false;
 var noms = document.getElementById('sommes').getAttribute('data-names');
 noms = noms.split('~');
 //console.log(nom,noms);
 for(var i = 0; i < noms.length; i++ )
  if(noms[i] == nom) return confirm('<?php printf($plxPlugin->getLang('L_CONFIRM_JS_REPLACE_EXIST_NAME'),'nom') ?>');
}</script>
